fiaif (1.23.1-4) unstable; urgency=low

  * Suggest iproute2. (Closes: #753729)
  * Remove useless suggestion on linux-image. (Closes: #724562)
  * Added japanese template translations. (Closes: #718758)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Jul 2014 20:04:20 +0200

fiaif (1.23.1-3) unstable; urgency=low

  * Move script used in postinst to /usr/share/fiaif (Closes: #710358)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 26 Jun 2013 08:46:13 +0200

fiaif (1.23.1-2) unstable; urgency=low

  * Fix manpage spelling errors.
  * Remove unused lintian override script-not-executable.
  * Use set -e in maintainer scripts.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 14 Feb 2013 21:42:49 +0100

fiaif (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Use Standards version 3.9.4
  * Refreshed debian patches.
  * Added patches:
    - 008-allow-old-tc-conf
      allow the old traffic shaping statements in configuration files.
      This way old config files are still valid, but the traffic shaping
      values are ignored.
    - 009-fiaif-test-usage-doc
      Document /etc/init.d/fiaif test in usage string.
    - 010-remove-syntax-awk-hashbang
      Fix lintian warning about non-executable script with a hashbang.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Jan 2013 11:20:09 +0100

fiaif (1.22.1-2) unstable; urgency=low

  * Added several fixes for iptables >= 1.4.11 from Nikolay A. Fetisov.
    (Closes: #630543)
  * Use Standards version 3.9.3
  * Use debhelper compatibility level 9

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 21:38:30 +0100

fiaif (1.22.1-1) unstable; urgency=low

  * New upstream release.
    + Remove all patches that have been applied upstream.
  * Replaced cdbs with dh as build rules.
  * Updated reportbug note that gets displayed before people are sending
    bug reports.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2011 13:29:49 +0200

fiaif (1.21.1-18) unstable; urgency=low

  * Dpatch is not needed anymore. Remove it and update all patches
    accordingly.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Mar 2011 14:37:59 +0100

fiaif (1.21.1-17) unstable; urgency=low

  * Fix typo in description. Thanks Davide Prina (Closes: #617844)
  * Standards version 3.9.1
  * Use new Debian Source 3.0 (quilt) format.
  * Added Brazilian Portuguese debconf templates translation. Thanks to
    Adriano Rafael Gomes. (Closes: #605852)
  * Updated patch 01_enable_int_zone:
    Disable REDIRECT_PROXY per default. (Closes: #591922)
  * Updated patch 15_update_reserved_networks:
    Updated to latest list of reserved networks.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 12 Mar 2011 12:47:48 +0100

fiaif (1.21.1-16) unstable; urgency=low

  * Updated patch 16_init_lsb_headers:
    - Remove the network dependency on the init script, which has been
      added in the last upload.
      This could leave the server vulnerable after network interfaces
      are active and before fiaif started.
      Added a note about this in the patch.
      Thanks to Anders Peter Fugmann for the reminder.
  * Updated patch 18_create_var_lock_dir:
     - Add -p option to mkdir for creating /var/lock/subsys
  * Updated patch 15_update_reserved_networks:
     - Update the reserved_networks list to version 1.32

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 21 Sep 2009 21:25:08 +0200

fiaif (1.21.1-15) unstable; urgency=low

  * Fix dependencies in init.d script. Thanks Petter Reinholdtsen
    for the patch.
    (Closes: #547213)
  * Added debian/README.source
  * Use Standards version 3.8.3
  * Replace dependencies on kernel-image-* with linux-image-*
  * Do not install /var/lock/subsys directory
  * Added patch 18_create_var_lock_dir: create /var/lock/subsys
    directory on demand.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Sep 2009 22:43:58 +0200

fiaif (1.21.1-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #486253, #502249, #502683)
  * Use debhelper v7
  * Use Standards version 3.8.0
  * Improved the reportbug message about confidential configuration
    data.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 22 Dec 2008 14:37:52 +0100

fiaif (1.21.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix spelling error in templates: s/who's/whose.
    Thanks to  Vincenzo Campanella for pointing this.
  * Fix pending l10n/debconf issues.
  * Fix typo in templates. Unfuzzy translations. Closes: #486253
    - Basque. Closes: #502249
    - Italian. Closes: #486253
    - Russian. Closes: #502683

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Oct 2008 19:51:45 +0200

fiaif (1.21.1-13) unstable; urgency=low

  * Replace dh_installoverrides with dh_lintian, introduced in debhelper
    6.0.7
  * Remove invalid byte sequences from LSB fiaif init header.
    (Closes: #469946)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 06 Mar 2008 23:58:03 +0100

fiaif (1.21.1-12) unstable; urgency=low

  * Add LSB headers to fiaif init script. Thanks to Petter Reinholdtsen
    <pere@hungry.com> for the patch.
    (Closes: #468895)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 02 Mar 2008 16:32:37 +0100

fiaif (1.21.1-11) unstable; urgency=low

  * Update reserved_networks list to version 1.30 from 2008/17/02.
    (Closes: #466009)

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Feb 2008 07:36:38 +0100

fiaif (1.21.1-10) unstable; urgency=low

  * Use modprobe -r instead of rmmod to make use of module aliases.
    The old rmmod method gave errors eg. when using the ip_nat_ftp
    module which has been renamed to nf_nat_ftp in kernels >=2.6.22.
    (Closes: #464798)
  * Fix man page errors in fiaif.conf.5, reported by lintian.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Feb 2008 11:08:39 +0100

fiaif (1.21.1-9) unstable; urgency=low

  * Allow the rule array subscriptor to be an array length variable, eg:
    INPUT[${#INPUT[@]}]="blah blah blah"
    .
    This way the entry can be commented out without reshuffling indexes.
    Thanks to Rob Dawson for the patch.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Jan 2008 10:25:33 +0100

fiaif (1.21.1-8) unstable; urgency=low

  * Use Standards Version 3.7.3 (no changes)
  * Use presubj for reportbug message, not a script (Closes: #456905)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 18 Dec 2007 17:09:53 +0100

fiaif (1.21.1-7) unstable; urgency=low

  * Move Homepage into control field.
  * Don't silently ignore download errors in fiaif-update script.
  * Correct typo in voip zone configuration, thanks to Laurent CARON for
    spotting this. (Closes: #450799)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Sep 2007 19:59:51 +0200

fiaif (1.21.1-6) unstable; urgency=low

  * Added portugese translation of debconf messages; thanks Miguel
    Figueiredo (Closes: #437282)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Aug 2007 20:57:42 +0200

fiaif (1.21.1-5) unstable; urgency=high

  * Add texlive-fonts-recommended to the build depends, fixing FTBFS.
    (Closes: #425089)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 20 May 2007 23:12:11 +0200

fiaif (1.21.1-4) unstable; urgency=low

  * Add missing build-depends, fixing FTBFS error (Closes: #421919).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 02 May 2007 19:50:18 +0200

fiaif (1.21.1-3) unstable; urgency=low

  * Added spanish debconf template translation, from Manuel Porras
    Peralta (Closes: #414219)
  * New patch 08_use_fancyhdr: replace the old fancyheadings TeX package
    with fancyhdr. Fixes the FTBFS with new texlive packages.
    (Closes: #421450)
  * Replace the old tetex build-depends with texlive packages.
  * Updated patch 06_enable_cbq_tc: added documentation for the HFSC
    traffic shaping scheduler.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2007 23:07:13 +0200

fiaif (1.21.1-2) unstable; urgency=low

  * Fix fiaif.postrm: check that /usr/share/debconf/confmodule exists
    before executing it.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 15 Feb 2007 17:41:01 +0100

fiaif (1.21.1-1) unstable; urgency=low

  * New upstream release.
    - fixes ACCEPT_LOG chain not accepting packets (Closes: #404246)
  * Use standards version 3.7.2

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 23 Jan 2007 21:57:45 +0100

fiaif (1.20.1-3) unstable; urgency=low

  * Move debhelper, cdbs, dpatch from build-depends-indep to build-
    depends

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 15 Jun 2006 22:02:13 +0200

fiaif (1.20.1-2) unstable; urgency=low

  * Add swedish debconf templates, thanks Daniel Nylander (Closes:
    #347824)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 13 Jan 2006 00:04:42 +0100

fiaif (1.20.1-1) unstable; urgency=low

  * New upstream release (repackaged .orig tarball without debian/
    subdir and a lingering version control file)
  * Add troubleshooting tips to README.Debian.
  * Add reportbug script to display warning about what data not to
    include in bug reports.
  * Add warning about enabling NAT in global or dynamic zones.
    (Closes: #345170)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  1 Jan 2006 23:29:32 +0100

fiaif (1.20.0-2) unstable; urgency=high

  * Allow CBQ based traffic shaping in rule configuration since it is
    still used (Closes: #343146)
    Urgency high since this bug caused all zones that had CBQ traffic
    shaping to fail.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 18 Dec 2005 11:56:27 +0100

fiaif (1.20.0-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v5
  * Suggest kernel-image-2.4 | kernel-imgae-2.6

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  5 Dec 2005 11:31:44 +0100

fiaif (1.19.2-15) unstable; urgency=low

  * Add '| debconf-2.0' to debconf dependency to support upcoming
    cdebconf
  * Fix bashism in postrm script

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 26 Sep 2005 20:20:46 +0200

fiaif (1.19.2-14) unstable; urgency=high

  * updated debian/watch version to 3
  * Remove fiaif-update cron job as it is quite pointless. Administrator
    should run this script manually.
    (Closes: #319070)
  * Urgency high since the fiaif-update cronjob is a security issue.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Jul 2005 22:30:24 +0200

fiaif (1.19.2-13) unstable; urgency=low

  * Bump up standards version to 3.6.2.1
  * Added Vietnamese translation of debian template.
    Thanks to Clytie Siddall (Closes: #313600)
  * updated german translation, thanks to Jens Seidel (Closes: #313700)

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  5 Jul 2005 22:43:34 +0200

fiaif (1.19.2-12) unstable; urgency=low

  * Added Czech debconf translation, thanks to Miroslav Kure (Closes:
    #308086)

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  9 May 2005 20:13:03 +0200

fiaif (1.19.2-11) unstable; urgency=low

  * accept spaces before IN word in fiaif-scan (Closes: #293991)
  * improved cronjob script with ulog example

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Feb 2005 18:27:53 +0100

fiaif (1.19.2-10) unstable; urgency=low

  * Improved error message on missing traffic control command (Closes:
    #270549)

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  8 Sep 2004 11:22:25 +0200

fiaif (1.19.2-9) unstable; urgency=low

  * use cdbs to build the package

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  3 Aug 2004 18:20:29 +0200

fiaif (1.19.2-8) unstable; urgency=low

  * adjust fiaif-scan cron script to complain if the logfile or any of
    the executed binaries are not found
  * use -o option for the logtail offset file in fiaif-scan cron script
    (Closes: #259368) (Closes: #259573)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 19 Jul 2004 13:29:28 +0200

fiaif (1.19.2-7) unstable; urgency=low

  * updated french po-debconf translation, thanks Christian Perrier
    (Closes: #255459)
  * updated german po-debconf translation

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Jun 2004 19:39:42 +0200

fiaif (1.19.2-6) unstable; urgency=low

  * updated danish po-debconf translation, thanks Claus Hindsgaul
    (Closes: #254062)
  * updated dutch po-debconf translation, thanks Luk Claes
    (Closes: #254297)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Jun 2004 14:48:07 +0200

fiaif (1.19.2-5) unstable; urgency=low

  * use -f option for logtail call in fiaif-scan
  * add note about having to adjust non-standard logfile locations in
    fiaif-scan

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  8 Jun 2004 12:51:55 +0200

fiaif (1.19.2-4) unstable; urgency=low

  * Update lintian overrides
  * Added dutch po-debconf translation, thanks Luk Claes (Closes:
    #251399)
  * Remove make from build depends, since it is build essential.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 29 May 2004 10:03:27 +0200

fiaif (1.19.2-3) unstable; urgency=low

  * remove cron file on deinstall (Closes: #243178)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 26 Apr 2004 17:02:56 +0200

fiaif (1.19.2-2) unstable; urgency=low

  * Depend on wget since fiaif-update uses it. Thanks Louis-David
    Mitterrand for detecting this. (Closes: #239335)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 22 Mar 2004 23:20:11 +0100

fiaif (1.19.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  3 Mar 2004 16:27:50 +0100

fiaif (1.19.0-2) unstable; urgency=low

  * Updated danish translation. Thanks Claus Hindsgaul and Anders
    Fugmann (Closes: #234952)

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  1 Mar 2004 20:48:43 +0100

fiaif (1.19.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 23 Feb 2004 22:15:10 +0100

fiaif (1.18.0-4) unstable; urgency=low

  * updated fr.po, really (Closes: #227574)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 19 Jan 2004 20:27:22 +0100

fiaif (1.18.0-3) unstable; urgency=low

  * updated french translation debian/po/fr.po (Closes: #227574)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 15 Jan 2004 14:20:43 +0100

fiaif (1.18.0-2) unstable; urgency=low

  * updated the enable_initd question stating that it is safe to say yes
    here even for activated firewalls
  * some new patches thanks to Greg Kochanski:
    - 02_debug_documentation
      clarify what DEBUG=1 does
    - 03_configuration_grammar
      grammar fixes in config files

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  6 Jan 2004 00:07:42 +0100

fiaif (1.18.0-1) unstable; urgency=low

  * New upstream release.
  * add linda overrides

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  3 Jan 2004 18:11:34 +0100

fiaif (1.17.2-2) unstable; urgency=medium

  * Add tetex-extra build-depends, fixes FTBFS, urgency medium
    (Closes: #221037)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 16 Nov 2003 12:31:15 +0100

fiaif (1.17.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  7 Oct 2003 18:55:36 +0200

fiaif (1.17.1-1) unstable; urgency=low

  * New upstream release
    - applies workaround for traceroute packet in kernel >= 2.4.21
      (Closes: #193241)
  * added debian/watch file for uscan
  * Standards version 3.6.1, no changes required

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 29 Sep 2003 09:04:06 +0200

fiaif (1.16.0-1) unstable; urgency=low

  * New upstream release
    - fixes problems with recent gawk (Closes: #203399)
  * do not remove executable bit from scripts in /etc/fiaif/
    (Closes: #198587)
  * Standards version 3.6.0, no changes required

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Aug 2003 17:55:33 +0200

fiaif (1.15.1-2) unstable; urgency=low

  * add french translation, thanks Christian Perrier <bubulle@debian.org>
  * Remove double space and rephrase hard-coded Yes in template
    (Closes: #195544)

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  6 Jun 2003 17:33:55 +0200

fiaif (1.15.1-1) unstable; urgency=low

  * New upstream release
    - remove 01_fix_kernel_release_parsing, applied upstream
    - moved dk.po (dk = danmark country code) to da.po (da = danmark
      language code) (Closes: #194744)
  * Standards version 3.5.10.0 (no changes)
  * remove woody debian/ dir from upstream source to avoid conflicts

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 25 May 2003 14:48:27 +0200

fiaif (1.14.0-3) unstable; urgency=low

  * added patches
    - 01_fix_kernel_release_parsing
      filter anything but leading digits from kernel release string
  * run fiaif-scan as daily cron, ask a debconf question about this
    (Closes: #193246)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 20 May 2003 20:34:23 +0200

fiaif (1.14.0-2) unstable; urgency=low

  * mv debian/dirs debian/fiaif.dirs. Upstream had a debian/fiaif.dirs
    that made the debian/dirs entries ignored. (Closes: #193456)
  * enable both INT and EXT zones per default (Closes: #193244)
  * load ip_nat_ftp module per default (Closes: #193243)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 16 May 2003 10:53:20 +0200

fiaif (1.14.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 30 Apr 2003 17:23:51 +0200

fiaif (1.13.3-1) unstable; urgency=low

  * New upstream version.
  * replace shellutils and textutils with coreutils
  * add lintian override

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Apr 2003 22:54:34 +0200

fiaif (1.12.1-2) unstable; urgency=low

  * Whoops, change maintainer to me

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Apr 2003 11:55:24 +0200

fiaif (1.12.1-1) unstable; urgency=low

  * Initial packaging for Debian (Closes: #183284)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 27 Mar 2003 18:35:54 +0100

fiaif (1.12.0-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Sat,  1 Mar 2003 00:14:43 -0100

fiaif (1.11.0-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Fri, 28 Feb 2003 15:36:04 -0100

fiaif (1.10.0-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Sat, 22 Feb 2003 22:21:19 -0100

fiaif (1.9.2-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Sat, 22 Feb 2003 00:31:54 -0100

fiaif (1.9.1-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Thu, 20 Feb 2003 11:15:19 -0100

fiaif (1.9.0-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Mon, 17 Feb 2003 11:47:00 -0100

fiaif (1.8.2-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Thu, 13 Feb 2003 01:30:07 -0100

fiaif (1.8.1-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Thu, 13 Feb 2003 00:37:47 -0100

fiaif (1.8.0-2) unstable; urgency=medium
  * New upstream version
  * Update postinst from Bastian Kleineidam's changes

 -- Anders P. Fugmann <anders@fugmann.name>  Tue, 11 Feb 2003 14:30:56 -0100

fiaif (1.7.4-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Tue, 11 Feb 2003 13:33:43 -0100

fiaif (1.7.3-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Wed, 29 Jan 2003 14:45:09 -0100

fiaif (1.7.2-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Wed, 29 Jan 2003 14:37:58 -0100

fiaif (1.7.1-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Wed, 29 Jan 2003 13:58:40 -0100

fiaif (1.7.0-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Wed, 29 Jan 2003 11:26:18 -0100

fiaif (1.6.4-1) unstable; urgency=medium
  * New upstream version

 -- Anders P. Fugmann <anders@fugmann.name>  Fri, 24 Jan 2003 09:59:50 -0100

fiaif (1.6.3-1) unstable; urgency=medium
  * Updated debian package build. 

 -- Anders P. Fugmann <anders@fugmann.name>  Thu, 23 Jan 2003 12:02:31 -0100

Local variables:
mode: debian-changelog 
End:

